Bug 138519 - support for CHFN_RESTRICT
support for CHFN_RESTRICT
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-11-09 14:03 EST by Florian Effenberger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-03 13:23:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florian Effenberger 2004-11-09 14:03:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
PAM should support the old CHFN_RESTRICT parameter in login.defs

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Tomas Mraz 2004-11-10 02:55:33 EST
As this parameter affects only chfn behaviour it has no sense
implement it in PAM. But it should probably be wontfixed anyway.
Comment 2 Elliot Lee 2004-12-03 13:23:23 EST
Agree with the WONTFIX analysis. The code for CHFN_RESTRICT isn't even
in the chfn source any more, with pam or without, so if you want the
feature included, the best approach might be to submit a patch to the
upstream maintainer (aeb@cwi.nl).

Note You need to log in before you can comment on or make changes to this bug.